Subject: [Sipping] RE: [Simple] PUBLISH in SIP Performance Report Event

From: "Amy Pendleton" <[email-masked]>
Date: Thu, 11 Nov 2004 18:43:56 -0500

I believe this might deserve some clarification because I am definitely not
attempting to use PUBLISH as a unsolicited NOTIFY.

Both in the case of SUBSCRIBE/NOTIFY and PUBLISH, all of the provisioning
for the service is stated in the document to be out of scope.  There are
many aspects that would likely need provisioning for this to work properly,
such as where to send the reports, how often the reports should be sent,
whether to send threshold reports and what the threshold values should be.  

My question is how does the UA know that the proxy wants to receive the
PUBLISH events in general?  If there is some mechanism of which I am not
making use, please let me know.

Thanks,
Amy

-----Original Message-----
From: Adam Roach [mailto:[email-masked]] 
Sent: Thursday, November 11, 2004 1:39 PM
To: Adam Roach
Cc: Alan Johnston; Henry Sinnreich; [email-masked]; Pendleton, Amy
[NGC:B601:EXCH]; [email-masked]
Subject: Re: [Simple] PUBLISH in SIP Performance Report Event

Sorry -- wrong list (typo)... taking to SIPPING.

/a

Adam Roach wrote:

> I just want to make a quick comment on the use of PUBLISH in this
> document. I think there needs to be some clarification on when this is 
> sent -- that is, how the UA knows that the proxy *wants* these 
> publication messages. From the text currently in the draft, this looks 
> an awful lot like using PUBLISH as an end-around sending unsolicited 
> NOTIFY messages by simply changing the method name. I hope that I've 
> misunderstood -- in which case some clarifying text might be in order; 
> otherwise, I'm very concerned about the precedent this document sets.
>
> /a
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP